Skip to main content
POST
/
api
/
projects
/
Create project
curl --request POST \
  --url https://app.photon.codes/api/projects/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "location": "United States",
  "spectrum": false,
  "template": false,
  "observability": false,
  "platforms": []
}
'
import requests

url = "https://app.photon.codes/api/projects/"

payload = {
"name": "<string>",
"location": "United States",
"spectrum": False,
"template": False,
"observability": False,
"platforms": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
location: 'United States',
spectrum: false,
template: false,
observability: false,
platforms: []
})
};

fetch('https://app.photon.codes/api/projects/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "location": "United States",
  "status": "running",
  "spectrum": true,
  "template": true,
  "observability": true,
  "userId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "spectrumProjectId": "<string>",
  "projectSecret": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Access token obtained via the device login flow.

Body

application/json
name
string
required
location
string
Example:

"United States"

spectrum
boolean
default:false
template
boolean
default:false
observability
boolean
default:false
platforms
enum<string>[]
Available options:
imessage,
whatsapp_business,
voice

Response

Created project.

id
string<uuid>
required
name
string
required
location
string
required
Example:

"United States"

status
string
required
Example:

"running"

spectrum
boolean
required
template
boolean
required
observability
boolean
required
userId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
spectrumProjectId
string | null

Spectrum project id. Use as the projectId half of HTTP Basic auth against the Spectrum API.

projectSecret
string | null

Spectrum project secret. Use as the projectSecret half of HTTP Basic auth against the Spectrum API. Returned only to project owners and members.